Skip to main content
`Ctrl`+`K`

# MatPartitioningSetFromOptions

Sets various partitioning options from the options database for the partitioning object

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningSetFromOptions(MatPartitioning part)

Collective

## Input Parameter

- part - the partitioning context.

## Options Database Keys

- -mat_partitioning_type type - (for instance, parmetis), use -help for a list of available methods

- -mat_partitioning_nparts - number of subgraphs

## Note

If the partitioner has not been set by the user it uses one of the installed partitioner such as ParMetis. If there are no installed partitioners it does no repartioning.

## See Also

Matrices, `Mat`, `MatPartitioning`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Examples

src/mat/tutorials/ex11.c
src/mat/tutorials/ex17f.F90
src/mat/tutorials/ex15.c
src/ksp/ksp/tutorials/ex64.c
src/mat/tutorials/ex15f.F90
src/mat/tutorials/ex17.c
src/mat/tutorials/ex11f.F90

## Implementations

MatPartitioningSetFromOptions_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c
MatPartitioningSetFromOptions_Hierarchical() in src/mat/graphops/partition/impls/hierarchical/hierarchical.c
MatPartitioningSetFromOptions_Party() in src/mat/graphops/partition/impls/party/party.c
MatPartitioningSetFromOptions_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c
MatPartitioningSetFromOptions_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages